﻿using System.Numerics;

namespace Nerfed.Runtime.Components
{
    public readonly record struct LocalTransform(Vector3 position, Quaternion rotation, Vector3 scale)
    {
        public readonly Vector3 position = position;
        public readonly Quaternion rotation = rotation;
        public readonly Vector3 scale = scale;

        public static readonly LocalTransform Identity = new(Vector3.Zero, Quaternion.Identity, Vector3.One);
    }
}